const wx2my = require('../../../../wx2my');
const Behavior = require('../../../../Behavior');
// subPackage/home/pages/h5/h5page.js
const wxService = require('../../../../utils/wxService');

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    curHeight: ''
  },
  handelGoHome() {
    wxService.router('/pages/userCenter/userCenter').replace()
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
  onmessage(e){
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
     wxService.getSystemInfo().then(res => {
      this.setData({
        curHeight: res.windowHeight
      })
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage(options) {
     const {
      path
    } = this.data;
    const enCodeUrl = encodeURIComponent(path);
    let sharePath = `/subPackage/page/pages/h5/h5page?url=${enCodeUrl}`;
    return {
      path: sharePath,
      'web-view': options.webViewUrl,
    };
  },

  // onShareAppMessage: function () {
  //   // 需要 encodeURIComponent path
  //   const {
  //     path
  //   } = this.data;
  //   const enCodeUrl = encodeURIComponent(path);
  //   let sharePath = `/subPackage/page/pages/h5/h5page?url=${enCodeUrl}`;
  //   return {
  //     // title: '分享给好友',
  //     path: sharePath,
  //     success() {
  //       wx2my.showToast({
  //         title: "转发成功",
  //         icon: 'success',
  //         duration: 2000
  //       });
  //     },

  //     fail() {
  //       wx2my.showToast({
  //         title: "转发失败",
  //         icon: 'none',
  //         duration: 2000
  //       });
  //     }

  //   };
  // }
});